MyGUI: MyGUI::EventPair< EventObsolete, Event > Class Template Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
MyGUI::EventPair< EventObsolete, Event > Class Template Reference

`#include <MyGUI_EventPair.h>`

Inheritance diagram for MyGUI::EventPair< EventObsolete, Event >:
[legend]

## Public Member Functions
template<typename T >
void | operator= (T *_delegate)
void | operator= (typename Event::IDelegate *_delegate)
template<typename T >
void | operator+= (T *_delegate)
void | operator+= (typename Event::IDelegate *_delegate)
template<typename T >
void | operator-= (T *_delegate)
void | operator-= (typename Event::IDelegate *_delegate)
template<typename TP1 >
void | operator() (TP1 p1)
template<typename TP1 , typename TP2 >
void | operator() (TP1 p1, TP2 p2)
template<typename TP1 , typename TP2 , typename TP3 >
void | operator() (TP1 p1, TP2 p2, TP3 p3)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 >
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 , typename TP7 >
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6, TP7 p7)
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 , typename TP7 , typename TP8 >
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6, TP7 p7, TP8 p8)
bool | empty () const

## Data Fields
EventObsolete | m_eventObsolete
Event | m_event

## Detailed Description

template<typename EventObsolete, typename Event>
class MyGUI::EventPair< EventObsolete, Event >

Definition at line 16 of file MyGUI_EventPair.h.

## Member Function Documentation

## ◆ empty()

template<typename EventObsolete , typename Event >

bool MyGUI::EventPair< EventObsolete, Event >::empty | ( |  | ) | const
| inline

Definition at line 119 of file MyGUI_EventPair.h.

## ◆ operator()() [1/8]

template<typename EventObsolete , typename Event >
template<typename TP1 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1 | ) |
| inline

Definition at line 64 of file MyGUI_EventPair.h.

## ◆ operator()() [2/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2 )
| inline

Definition at line 71 of file MyGUI_EventPair.h.

## ◆ operator()() [3/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 , typename TP3 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3 )
| inline

Definition at line 78 of file MyGUI_EventPair.h.

## ◆ operator()() [4/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4 )
| inline

Definition at line 85 of file MyGUI_EventPair.h.

## ◆ operator()() [5/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5 )
| inline

Definition at line 92 of file MyGUI_EventPair.h.

## ◆ operator()() [6/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6 )
| inline

Definition at line 99 of file MyGUI_EventPair.h.

## ◆ operator()() [7/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 , typename TP7 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6,
|  | TP7 | p7 )
| inline

Definition at line 106 of file MyGUI_EventPair.h.

## ◆ operator()() [8/8]

template<typename EventObsolete , typename Event >
template<typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 , typename TP7 , typename TP8 >

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6,
|  | TP7 | p7,
|  | TP8 | p8 )
| inline

Definition at line 113 of file MyGUI_EventPair.h.

## ◆ operator+=() [1/2]

template<typename EventObsolete , typename Event >
template<typename T >

void MyGUI::EventPair< EventObsolete, Event >::operator+= | ( | T * | _delegate | ) |
| inline

Definition at line 37 of file MyGUI_EventPair.h.

## ◆ operator+=() [2/2]

template<typename EventObsolete , typename Event >

void MyGUI::EventPair< EventObsolete, Event >::operator+= | ( | typename Event::IDelegate * | _delegate | ) |
| inline

Definition at line 43 of file MyGUI_EventPair.h.

## ◆ operator-=() [1/2]

template<typename EventObsolete , typename Event >
template<typename T >

void MyGUI::EventPair< EventObsolete, Event >::operator-= | ( | T * | _delegate | ) |
| inline

Definition at line 51 of file MyGUI_EventPair.h.

## ◆ operator-=() [2/2]

template<typename EventObsolete , typename Event >

void MyGUI::EventPair< EventObsolete, Event >::operator-= | ( | typename Event::IDelegate * | _delegate | ) |
| inline

Definition at line 57 of file MyGUI_EventPair.h.

## ◆ operator=() [1/2]

template<typename EventObsolete , typename Event >
template<typename T >

void MyGUI::EventPair< EventObsolete, Event >::operator= | ( | T * | _delegate | ) |
| inline

Definition at line 22 of file MyGUI_EventPair.h.

## ◆ operator=() [2/2]

template<typename EventObsolete , typename Event >

void MyGUI::EventPair< EventObsolete, Event >::operator= | ( | typename Event::IDelegate * | _delegate | ) |
| inline

Definition at line 29 of file MyGUI_EventPair.h.

## Field Documentation

## ◆ m_event

template<typename EventObsolete , typename Event >

Event MyGUI::EventPair< EventObsolete, Event >::m_event

Definition at line 126 of file MyGUI_EventPair.h.

## ◆ m_eventObsolete

template<typename EventObsolete , typename Event >

EventObsolete MyGUI::EventPair< EventObsolete, Event >::m_eventObsolete

Definition at line 125 of file MyGUI_EventPair.h.

The documentation for this class was generated from the following file:

- MyGUI_EventPair.h